package net.knarcraft.blacksmith.formatting;

import net.citizensnpcs.api.npc.NPC;
import net.knarcraft.knarlib.property.ColorConversion;
import net.knarcraft.knarlib.util.ColorHelper;
import net.md_5.bungee.api.ChatColor;
import org.bukkit.entity.Player;

/**
 * A formatter for formatting displayed messages
 */
public final class BlacksmithStringFormatter {

    private BlacksmithStringFormatter() {

    }

    /**
     * Sends a message from a blacksmith NPC to a player
     *
     * @param npc     <p>The NPC sending the message</p>
     * @param player  <p>The player to send the message to</p>
     * @param message <p>The message to send</p>
     */
    public static void sendNPCMessage(NPC npc, Player player, String message) {
        player.sendMessage(ChatColor.GREEN + "[" + npc.getName() + "] -> You:" + ChatColor.RESET + " " +
                ColorHelper.translateColorCodes(message, ColorConversion.NORMAL));
    }

}
